@model IEnumerable<FERZid.Models.Zid>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row" style="padding-top:20px;">
    <button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='@Url.Action("Create", "Zidovi")'">
        <span class="glyphicon glyphicon-plus"></span> Novi zid
    </button>

    <table class="table table-striped" id="tableZidovi">
        <thead>
            <tr>
                <th></th>
                <th>
                    @Html.DisplayNameFor(model => model.DatumPostavljanja)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Lokacija)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Opis)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Visina)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Sirina)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        <button class="btn btn-default btn-xs">
                            <span class="glyphicon glyphicon-chevron-down"></span>
                        </button>
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DatumPostavljanja)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Lokacija)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Opis)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Visina)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Sirina)
                    </td>
                    <td>
                        <div class="btn-group">

                                <a class="btn btn-default" asp-action="Edit" asp-route-id="@item.Idzida">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>

                                <a class="btn btn-default" asp-action="Details" asp-route-id="@item.Idzida">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>

                                <a class="btn btn-default" asp-action="Delete" asp-route-id="@item.Idzida">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>

                        </div>
                    </td>
        
                    

                </tr>
                <tr>
                    <td>
                        Program:
                        @foreach (var prog in @item.ProgramAktivan)
                        {
                            <span>@prog.Idprograma , </span>

                        }
                        
                    </td>
                    <td>
                        Segment:
                        @foreach (var seg in @item.Segment)
                        {
                            <span>@seg.Idsegmenta</span>

                        }
                    </td>
                   
                    @*<td>
                        <p>
                            Popis svih programa:
                            @foreach (var prog in @item.ProgramAktivan)
                            {
                                <span>@prog.Idprograma , </span>

                            }
                        </p>
                    </td>*@
                </tr>

            }
        </tbody>
    </table>
</div>
@section scripts {
<script>
        $(document).ready(function () {
            $('#tableZidovi').DataTable();
        });
</script>
}
